org.jbpm.process.audit.query

## Class ProcInstLogQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>
    - - org.jbpm.process.audit.query.ProcInstLogQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>, org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder>, org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>, org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>, org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>, org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder

      public class ProcInstLogQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>
      implements org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `ProcInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `correlationKey(org.kie.internal.process.CorrelationKey... correlationKeys)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `duration(long... duration)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `durationMax(long durationMax)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `durationMin(long durationMin)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDate(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDateRangeEnd(Date rangeEnd)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDateRangeStart(Date rangeStart)`
    `protected Class` | `getQueryType()`
    `protected Class<org.kie.api.runtime.manager.audit.ProcessInstanceLog>` | `getResultType()`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `identity(String... identity)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `outcome(String... outcome)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processName(String... processName)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processVersion(String... version)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDate(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDateRangeEnd(Date rangeEnd)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDateRangeStart(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `status(int... status)`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### ProcInstLogQueryBuilderImpl

          public ProcInstLogQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### ProcInstLogQueryBuilderImpl

          public ProcInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### status

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder status(int... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### duration

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder duration(long... duration)

      Specified by:
        `duration` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### durationMin

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder durationMin(long durationMin)

      Specified by:
        `durationMin` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### durationMax

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder durationMax(long durationMax)

      Specified by:
        `durationMax` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### identity

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder identity(String... identity)

      Specified by:
        `identity` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### processVersion

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processVersion(String... version)

      Specified by:
        `processVersion` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### processName

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processName(String... processName)

      Specified by:
        `processName` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### startDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDate(Date... date)

      Specified by:
        `startDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### startDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDateRangeStart(Date rangeStart)

      Specified by:
        `startDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### startDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDateRangeEnd(Date rangeEnd)

      Specified by:
        `startDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### endDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDate(Date... date)

      Specified by:
        `endDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### endDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDateRangeStart(Date rangeStart)

      Specified by:
        `endDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### endDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDateRangeEnd(Date rangeEnd)

      Specified by:
        `endDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### outcome

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder outcome(String... outcome)

      Specified by:
        `outcome` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### correlationKey

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder correlationKey(org.kie.internal.process.CorrelationKey... correlationKeys)

      Specified by:
        `correlationKey` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

    - #### getResultType

          protected Class<org.kie.api.runtime.manager.audit.ProcessInstanceLog> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.ProcessInstanceLog>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.